Ubuntu

after boot into Windows XP, grub menu is not displayed and computer reboot

Reported by Manuel López-Ibáñez on 2005-11-22
66
This bug affects 4 people
Affects Status Importance Assigned to Milestone
grub
Unknown
Unknown
grub (Baltix)
Undecided
Unassigned
grub (Ubuntu)
High
Unassigned
Nominated for Karmic by amy
Nominated for Lucid by amy

Bug Description

Grub installs and works fine until you change into Windows XP. When you shutdown
Windows XP and boot again, grub doesn't even appear (no error, nothing) and the
computer restarts and keeps restarting if you don't turn it off or put a boot
cd. After boot cd, grub-install --recheck --no-floppy /dev/hda and update-grub,
things are back to normal. Until next time you boot into Windows XP...

Useless bug reports perhaps related to this are bug 12179, bug 23666, bug 25517,
bug 10712, and bug 11284.

More information below:

manu@~ $ grub --version
grub (GNU GRUB 0.95)

manu@~ $ sudo fdisk -l
Password:

Disk /dev/hda: 41.1 GB, 41110142976 bytes
255 heads, 63 sectors/track, 4998 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot Start End Blocks Id System
/dev/hda1 * 1 783 6289416 7 HPFS/NTFS
/dev/hda2 3123 4993 15028807+ f W95 Ext'd (LBA)
/dev/hda3 4994 4998 40162+ 1e Hidden W95 FAT16 (LBA)
/dev/hda4 784 3122 18788017+ 83 Linux
/dev/hda5 3123 4786 13366048+ 7 HPFS/NTFS
/dev/hda6 4787 4993 1662696 82 Linux swap / Solaris

Partition table entries are not in disk order

manu@~ $ cat /boot/grub/menu.lst

# menu.lst - See: grub(8), info grub, update-grub(8)
# grub-install(8), grub-floppy(8),
# grub-md5-crypt, /usr/share/doc/grub
# and /usr/share/doc/grub-doc/.

## default num
# Set the default entry to the entry number NUM. Numbering starts from 0, and
# the entry number 0 is the default if the command is not used.
#
# You can specify 'saved' instead of a number. In this case, the default entry
# is the entry saved with the command 'savedefault'.
default 0

## timeout sec
# Set a timeout, in SEC seconds, before automatically booting the default entry
# (normally the first entry defined).
timeout 10

## hiddenmenu
# Hides the menu by default (press ESC to see the menu)
#hiddenmenu

# Pretty colours
#color cyan/blue white/blue

## password ['--md5'] passwd
# If used in the first section of a menu file, disable all interactive editing
# control (menu entry editor and command-line) and entries protected by the
# command 'lock'
# e.g. password topsecret
# password --md5 $1$gLhU0/$aW78kHK1QfV3P2b2znUoe/
# password topsecret

#
# examples
#
# title Windows 95/98/NT/2000
# root (hd0,0)
# makeactive
# chainloader +1
#
# title Linux
# root (hd0,1)
# kernel /vmlinuz root=/dev/hda2 ro
#

#
# Put static boot stanzas before and/or after AUTOMAGIC KERNEL LIST

### BEGIN AUTOMAGIC KERNELS LIST
## lines between the AUTOMAGIC KERNELS LIST markers will be modified
## by the debian update-grub script except for the default options below

## DO NOT UNCOMMENT THEM, Just edit them to your needs

## ## Start Default Options ##
## default kernel options
## default kernel options for automagic boot options
## If you want special options for specifiv kernels use kopt_x_y_z
## where x.y.z is kernel version. Minor versions can be omitted.
## e.g. kopt=root=/dev/hda1 ro
# kopt=root=/dev/hda4 ro

## default grub root device
## e.g. groot=(hd0,0)
# groot=(hd0,3)

## should update-grub create alternative automagic boot options
## e.g. alternative=true
## alternative=false
# alternative=true

## should update-grub lock alternative automagic boot options
## e.g. lockalternative=true
## lockalternative=false
# lockalternative=false

## altoption boot targets option
## multiple altoptions lines are allowed
## e.g. altoptions=(extra menu suffix) extra boot options
## altoptions=(recovery mode) single
# altoptions=(recovery mode) single

## nonaltoption boot targets option
## This option controls options to pass to only the
## primary kernel menu item.
## You can have ONLY one nonaltoptions line
# nonaltoptions=quiet splash

## controls how many kernels should be put into the menu.lst
## only counts the first occurence of a kernel, not the
## alternative kernel options
## e.g. howmany=all
## howmany=7
# howmany=all

## should update-grub create memtest86 boot option
## e.g. memtest86=true
## memtest86=false
# memtest86=true

## ## End Default Options ##

title Ubuntu, kernel 2.6.12-9-686
root (hd0,3)
kernel /boot/vmlinuz-2.6.12-9-686 root=/dev/hda4 ro quiet splash
initrd /boot/initrd.img-2.6.12-9-686
savedefault
boot

title Ubuntu, kernel 2.6.12-9-686 (recovery mode)
root (hd0,3)
kernel /boot/vmlinuz-2.6.12-9-686 root=/dev/hda4 ro single
initrd /boot/initrd.img-2.6.12-9-686
boot

title Ubuntu, kernel 2.6.12-9-386
root (hd0,3)
kernel /boot/vmlinuz-2.6.12-9-386 root=/dev/hda4 ro quiet splash
initrd /boot/initrd.img-2.6.12-9-386
savedefault
boot

title Ubuntu, kernel 2.6.12-9-386 (recovery mode)
root (hd0,3)
kernel /boot/vmlinuz-2.6.12-9-386 root=/dev/hda4 ro single
initrd /boot/initrd.img-2.6.12-9-386
boot

title Ubuntu, memtest86+
root (hd0,3)
kernel /boot/memtest86+.bin
boot

### END DEBIAN AUTOMAGIC KERNELS LIST

# This is a divider, added to separate the menu items below from the Debian
# ones.
title Other operating systems:
root

# This entry automatically added by the Debian installer for a non-linux OS
# on /dev/hda1
title Microsoft Windows XP Professional
root (hd0,0)
#savedefault
makeactive
chainloader +1

(Uncommenting savedefault doesn't change anything)

Please, just ask me for any other info you may need!

Ubuntu 5.10
manu@~ $ uname -a
Linux localhost 2.6.12-9-686 #1 Mon Oct 10 13:25:32 BST 2005 i686 GNU/Linux

I had the same error in Ubuntu 4.10 and installing LILO solved the problem.
However, this time I wanted to report it and try to fix it in cooperation with
you. Otherwise I do not understand why Ubuntu chooses grub over LILO.

I can reproduce the bug whenever I wish.
Also I have a linux rescue cd that I use to chroot into ubuntu partition and fix
grub, so if you want me to provide any information just after the problem
happens and before I fix grub, please tell me what to test.

Also reported upstream [
http://savannah.gnu.org/bugs/?func=detailitem&item_id=15048 ]. Is there a way to
link both bugzillas? Should I report this also in Malone?

Perhaps of interest is that I have to run:

$ grub-install --no-floppy --recheck /dev/hda
Probing devices to guess BIOS drives. This may take a long time.
Due to a bug in xfs_freeze, the following command might produce a segmentation
fault when /boot/grub is not in an XFS filesystem. This error is harmless and
can be ignored.
xfs_freeze: specified file ["/boot/grub"] is not on an XFS filesystem
Installation finished. No error reported.
This is the contents of the device map /boot/grub/device.map.
Check if this is correct or not. If any of the lines is incorrect,
fix it and re-run the script `grub-install'.

(hd0) /dev/hda

before

$ update-grub.

Running update-grub only doesn't fix the issue.

grub-install shows more information but I cannot redirect that output to a file
(I tried with 1>, 2>, &>, and >&).

After grub-install, dmesg says the following:

hdd: attached ide-floppy driver.
hdd: No disk in drive
hdd: 0kB, 0/64/32 CHS, 4096 kBps, 512 sector size, 2941 rpm
ide-floppy: hdd: I/O error, pc = 0, key = 2, asc = 3a, ascq = 0
ide-floppy: hdd: I/O error, pc = 1b, key = 2, asc = 3a, ascq = 0
hdd: No disk in drive
ide-floppy: hdd: I/O error, pc = 0, key = 2, asc = 3a, ascq = 0
ide-floppy: hdd: I/O error, pc = 1b, key = 2, asc = 3a, ascq = 0
hdd: No disk in drive
ide-floppy: hdd: I/O error, pc = 0, key = 2, asc = 3a, ascq = 0
ide-floppy: hdd: I/O error, pc = 1b, key = 2, asc = 3a, ascq = 0
hdd: No disk in drive
ide-floppy: hdd: I/O error, pc = 0, key = 2, asc = 3a, ascq = 0
ide-floppy: hdd: I/O error, pc = 1b, key = 2, asc = 3a, ascq = 0
hdd: No disk in drive
ide-floppy: hdd: I/O error, pc = 0, key = 2, asc = 3a, ascq = 0
ide-floppy: hdd: I/O error, pc = 1b, key = 2, asc = 3a, ascq = 0
hdd: No disk in drive
ide-floppy: hdd: I/O error, pc = 0, key = 2, asc = 3a, ascq = 0
ide-floppy: hdd: I/O error, pc = 1b, key = 2, asc = 3a, ascq = 0
hdd: No disk in drive
ide-floppy: hdd: I/O error, pc = 0, key = 2, asc = 3a, ascq = 0
ide-floppy: hdd: I/O error, pc = 1b, key = 2, asc = 3a, ascq = 0
hdd: No disk in drive

I don't have any other drive apart of hda, so it may be just fine.

*** Bug 15531 has been marked as a duplicate of this bug. ***

Jeff Bailey (jbailey) on 2006-02-10
Changed in grub:
assignee: jbailey → tfheen

From upstream [ http://savannah.gnu.org/bugs/?func=detailitem&item_id=15048#comment5 ]:
<quote>
If your system is using Novell ZenWorks, then remove this registry key:

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon]

"System"="ziswin.exe"

You'll need to reinstall GRUB again after doing this, but thereafter you should be fine. This setting causes some information to be written into the MBR each time you boot and thus hoses up GRUB.
</quote>

Since the very Novell stuff does not allow me to modify the registry, this bug won't fix unless something is changed in GRUB. On the other hand, LILO doesn't show this problem. (Although, I had to configure it manually). For Ubuntu, many questions remains:

Why GRUB and not LILO?
When LILO is installed from apt-get, why it is not automatically configured as GRUB is during the installation procedure?

Anyway, I guess this is the end...

StuartYeates (stuart-yeates) wrote :

There is a similar bug 50330, for which this fix does not work (because this registry key is not present).

https://launchpad.net/distros/ubuntu/+source/grub/+bug/50330/

Ryan O'Connor (ryanoc) wrote :

I've never had this issue with grub and XP. Are you able to install an XP from scratch and see if the problem still arises?

Ryan O'Connor (ryanoc) wrote :

I have a friend who this happens to. The only difference between our setups was that he had the later cd "XP with service pack 2", and I had the plain old "windows XP" cd. He also used SATA drives mixed with IDE whereas I have just have IDE.

Paul Dufresne (paulduf) on 2006-10-18
Changed in grub:
status: Unconfirmed → Confirmed
Mathias Kende (mathias-kende) wrote :

When installing my system I went through this bug.

The problem is that certain version of windows want to write something on the boot sector if you're using "dynamic disc" (I don't know the proper english term for this windows feature).

And if grub is installed on this hard drive it get broken. I'm not sure that this can be fixed as it is a windows problem. The solution I used is to install Linux on the first hard drive and windows on an other (since this problem involve many hard drives as dynamic drives cannot be shared across multiple OSs), and used the map feature of grub to let windows boot (since I instaled it first with only one drive, then I plugged an other and installed linux) on the second hard drive (without grub) and believe that it is the first.

I don't know if it is exactly the same bug here, but maybe it will help.

Tollef Fog Heen (tfheen) on 2007-03-30
Changed in grub:
assignee: tfheen → nobody
Tormod Volden (tormodvolden) wrote :

It sounds like this is a bug in Windows and not in Ubuntu, as long as Windows keeps modifying the MBR.

Another possible workaround would be to use the Windows boot loader, and modify boot.ini to reference either grub for Windows (grub.exe/GRLDR) or a file containing a copy of the boot sector where grub was installed.

http://ubuntuforums.org/showthread.php?t=56723 (XP)
http://forums.fedoraforum.org/showthread.php?p=789492 (Vista)

Happened to me with Windows XP sp2/Feisty.

I suspect that Windows auto-update overwrote boot loader.

Andy Hudson (andy-hudson) wrote :

I also have experienced this problem from as early as Hoary. It seems to be a persistent problem.

This certainly doesn't happen with any other distros that I've used (Fedora, openSUSE etc) so not sure why Ubuntu should be different in this respect.

Basically I cannot dual boot Windows and Ubuntu on my laptop.

Tormod Volden (tormodvolden) wrote :

From http://technet.microsoft.com/en-us/library/Bb726994.aspx:
"You can't use dynamic disks with previous versions of Windows, but you can use dynamic disks with other operating systems, such as Unix. To do this, you need to create a separate volume for the non-Windows operating system."

See also http://support.microsoft.com/kb/309044

Is anyone _not_ using "dynamic disks" having this problem?

Please try the workarounds I linked to in my previous post. If one OS keeps rewriting the MBR, there's really not much another OS can do against it.

giluk (hook75) wrote :

I just installed Ubuntu 8.04 and I have the same problem.

After using windows I must always restore the boot disk using "super grub disk".

I don't use "dynamic disk" but I cannot dual boot Windows and Ubuntu on my laptop!

Tormod Volden (tormodvolden) wrote :

It's mystery to me why some people can boot other distros with grub but not Ubuntu. Anyway, the best workaround is to install grub for Windows (see links above) in the windows partition. Wubi will do this automatically by the way.

I have the same problem on my laptop. I do have the 64-bit version of Ubuntu 8.04 though. I think that the 32-bit version may not have this problem. Can anybody confirm this?

I found a solution that worked for me on this site:
\http://savannah.gnu.org/bugs/?15048

To quote the instructions from adrian15 and lugduweb:

<quote>

Monday 10/09/2006 at 21:36 UTC, comment #11:

This solution is working !
Thanks a lot "adrian15" (you saved my computer's life !).

So if someone has broken his GRUB and has this problem of constant reboot after dynamic disk partitioning scheme activation in WinXP, here is a detailled howto :

1) Boot with a liveCD, for example Gentoo's one...

2) chroot on your grub partition
sudo mkdir -p /mnt/gentoo
sudo swapon /dev/sda2
//Note: change with your swap partition name
sudo mount /dev/sda3 /mnt/gentoo
//Note : change with your root partition name
sudo mount -o bind /dev /mnt/gentoo/dev
sudo mount -o bind /proc /mnt/gentoo/proc
chroot /mnt/gentoo

3) go in /boot/grub and delete "*stage1_5" files :
cd /boot/grub
rm *stage1_5

4) reinstall grub
find /boot/grub/menu.lst // on ubuntu
==> gives you a (hdX,Y), for example (hd1,2)
root (hd1,2)
setup (hd0) // reinstall

5) reboot and enjoy. special thanks to "adrian15" ?
I'm really happy not having to reinstall this all !
 lugduweb <lugduweb>
Monday 10/09/2006 at 08:14 UTC, comment #10:

I found a person that had more or less the same problem and I solved it from Linux.

You just have to delete stage1_5* files from /boot/grub/ folder and reinstall grub with root (hdX,Y) setup (hdX) (grub-install copies again the stage1_5* files !).

Once you have reinstalled grub so that stage1 loads stage2 directly ... grub is no longer overwritten because stage1_5 is not deleted by windows repartitioning.

adrian15

</quote>

I actually repaired grub first, booted into my installed version of Ubuntu, and removed the *state1_5 files in there, then re-setup grub. Either way should work. Note that you will of course have to remove the files as the root user.

adrian15 (adrian15) wrote :

The problem you are describing it is explained here: http://www.supergrubdisk.org/wiki/WindowsErasesGrub

The last wilbur_nether quote is a first approach to bug. Grub can be hacked so that by default it links to stage2 and omits stage1_5 files but, whatever the reason is, is always better to have stage1_5 files there.

Grub can also be modified so that it has a new option that ignores stage1_5 as Super Grub Disk has been modified. And then grub-install could also be modified with a new option.

Do you think is it worth this work? I mean, it cost me nothing to write it. It is already written (The grub part not the grub-install one).

But... is it a thing that affects so many people?
If we decide this feature to be default Is it worth not using stage1_5?

Waiting for your answers and opinnions and maybe the Ubuntu grub package maintainer.

adrian15

Dan Halbert (dhalbert) wrote :

I had this problem because of Novell ZENworks. It overwrites sectors in the "unused" space at the beginning of a disk. This sector is part of the space where grub writes the stage1.5 files.

For more information about what ZenWorks does, see http://www.intl.novell.com/communities/node/5839/grub-and-zisd .

To solve this, I did not use grub-install and did not remove the stage1.5 files as described above. Instead, I started grub (from a rescue disk) and did this:

  grub> install /boot/grub/stage1 (hd1) /boot/grub/stage2 p /boot/grub/menu.lst

This makes stage1 go directly to the stage2 files. "install" is a lower-level command than "setup"; "setup" will use the stage1.5 files if it can find them.

I'd have to redo this if grub is updated. I'd like to have grub-install do this automatically, perhaps with a new option. But there needs to be someplace to record that skipping stage1.5 is in effect. I'm not sure where this should be recorded for the benefit of grub-install.

My setup:
Two SATA disks:
/dev/sda: Windows XP with Novell ZENworks installed (not my choice)
/dev/sdb: Ubuntu Jaunty

I choose which disk to boot from the BIOS menu, not from grub.

adrian15 (adrian15) wrote :

>To solve this, I did not use grub-install and did not remove the stage1.5 files as described above. Instead, I >started grub (from a rescue disk) and did this:
>
> grub> install /boot/grub/stage1 (hd1) /boot/grub/stage2 p /boot/grub/menu.lst
>
>This makes stage1 go directly to the stage2 files. "install" is a lower-level command than "setup"; "setup" will use >the stage1.5 files if it can find them.
>
>I'd have to redo this if grub is updated. I'd like to have grub-install do this automatically, perhaps with a new >option. But there needs to be someplace to record that skipping stage1.5 is in effect. I'm not sure where this >should be recorded for the benefit of grub-install.

So that means that grub-install would need to read some other file maybe /etc/default/grub-install to know if it has to ignore stage1_5 or not. Then I add a --ignore-stage1_5 option to setup command and that's it.

I think that /etc/default/grub-install should be sourced from grub-install at its first line and that would be fine.

Do you have any more ideas till I actually code this, well, finish coding it?

Dan Halbert (dhalbert) wrote :

>I think that /etc/default/grub-install should be sourced from grub-install at its first line and that would be fine.

I see the /etc/default is the right place to remember such an option. However, all the other files in there just set options, e.g.

  UPPERCASE_OPTION=foo

So putting an actual command line in is a new paradigm. That could be OK, but it is new. You could instead have grub-install read an environment variable:

  OPTIONS="--ignore-stage1_5"

or maybe more specifically:

  IGNORE_STAGE1_5=true

It probably doesn't really matter. I am thinking more about whether more options or variations might want to be set there in the future. The options might be a bit more complicated, and may not be so easily sourced as just giving an alternate command line.

adrian15 (adrian15) wrote :

Hello to all,

  This patch features two argument options grub-install that let you force the stage1 file to be
  linked to stage1_5 files or to force stage1 not to be linked to stage1_5 but to stage2.

  It features an /etc/default/grub file in order to set these same options by an shell variable.

  Grub's setup command features a --stage1_5-not-linked option to force stage1 not to be linked to stage1_5 but to stage2.

  Unfortunately I have not written any documentation like grub.texi or whatever. I actually do not know how
  and where I should write grub-install documentation. grub-install.8 should not written by hand, but then,
  which file should I edit?

  Another problem about the patch is that although it builds ok I have actually not tested it.
  Can anyone please test it for me?

  Finally I have not updated changelog file to write my copyright and changes.

  The patch applies to grub package from Intrepid, I do not know if it will work with Jaunty's grub package.

  Any comment, advice or improvement is welcomed. Let's hope that we can have something optimal in
  two weeks time.

  adrian15

Eduard Carcole (ecarcole) wrote :

I just want to report I am having the same problem here.
After using Windows XP, and restarting I just a get a message like "loading Grub..." and nothing else appears.
I already reinstalled GRUB 3 times.
I n my case I had my windows partition with the boot flag. And I tried to change the boot flag to my linux partition and reinstall GRUB again. But it did not work... This problem is very annoying. I also hope a solution comes soon.

mlx (myxal-mxl) wrote :

Having this problem on a Thinkpad T30. Terribly annoying. Note that this is GRUB2 (1.97b4). Booting to linux works fine, once I boot into windows and shutdown/reboot, all that shows up on the next boot is the "Loading grub..." line, then the computer reboots. Wash, rinse and repeat endlessly. The PC won't boot without refreshing grub from external media.
Any workaround for this?

bean (bean123ch) wrote :

I think windows must have changed something on disk, to confirm this, first grab the first 63 sector in Linux:

sudo dd if=/dev/sda of=mbr_1 bs=512 count=63

Boot to windows, then boot to live cd. Then, grab the sectors again:

sudo dd if=/dev/sda of=mbr_2 bs=512 count=63

Compare the files using cmp:
cmp mbr_1 mbr_2

mlx (myxal-mxl) wrote :

Hm, I compared only the first sector and those were the same. I'm a bit busy right now and could probabably get back to this in two weeks. Meanwhile, I "fixed" the problem by hand-installing GRUB on Ubuntu's partition (/dev/sda2 vs. /dev/sda) and restored Windows' NTLDR using a Windows CD (FIXMBR, FIXBOOT). Then I followed the guide on how to load linux from NTLDR (basically: read the first sector of the partition where grub is installed, save as a file to Windows' partition, add a line to boot.ini, done).

bean (bean123ch) wrote :

Please compare all 63 sectors, windows must be writing to some place, it'd be nice to know where.

Anyway, the safest solution is to write only one sector, and use blocklist to find the rest. In fact, this is what lilo and syslinux has been doing all along.

bean (bean123ch) wrote :

Try BURG from my ppa repository, first add these lines to /etc/apt/sources.list:
deb http://ppa.launchpad.net/bean123ch/burg/ubuntu karmic main
deb-src http://ppa.launchpad.net/bean123ch/burg/ubuntu karmic main

Then install with:
sudo apt-get update
sudo apt-get install grub-pc

Then, use the --safe option when installing to mbr, for example:

sudo grub-install --safe /dev/sda

This should solve the issue.

bean (bean123ch) wrote :

BTW, in the latest version of BURG, the --safe option has been renamed as --alt.

mlx (myxal-mxl) wrote :

I managed to reproduce the problem AND made an extra observation - GRUB only breaks if I log into windows. When I rebooted from the login/user-selection screen, the computer boots normally - this MAY invalidate the bug as what's causing the problem may be one of the installed applications (NOD32 maybe?). Anyway, I'm attaching the working and non-working MBR. (I didn't take a snapshot after only rebooting windows from the login screen - the mbr.first is from after rebooting in linux)

mlx (myxal-mxl) wrote :
Zane (zanetu) wrote :

It's quite surprising and disappointing to find out that this bug has not been fixed up to now, although its "importance" is labeled as "High" and "Status" as "Confirmed"...

psw (psw) wrote :

Don't know if this "bug" is related: after install of 9.10 on the D: drive Grub loader only listed Ubuntu. After re-run of 9.10 CD and Grub Check (I can't remember what it was), it found Win2kpro on the C: drive and added it to the Grub loader. Works fine now.

David Stansby (dstansby) wrote :

As per the upstream bug, please could someone see if this is still a problem on Grub2?

description: updated
tags: added: patch-rejected-upstream
David Stansby (dstansby) wrote :

And I've set the patch tag to the closest that there is; I don't think this patch would be accepted upstream because the upstream report has been closed.

adrian15 (adrian15) wrote :

Please close the bug.

I think that this same bug was already closed in Debian but I cannot find the bug itself.

Whatever is working MBR is not GNU/Linux or GRUB, it is a program, usually an antivirus which it is found on Windows.

The user should be able, should know how to use this software so that it recognises the new mbr (and next sectors) as a valid one and saves it as the default one so that it does not get overwritten.

So... as long as this is not a grub error, but the user not knowing how to use his own software the bug should be closed. Now the question is...

Should Ubuntu installation manual take care of these boot-sector-aware programs/antispyware/antivirus and document the steps that an user should do before and after installing Ubuntu regarding the conflictive software?

I am not going to answer the question.

adrian15

Colin Watson (cjwatson) wrote :

Contrary to what adrian15 said, I (as a relevant developer) do not wish this bug to be closed.

El 30/08/10 17:27, Colin Watson escribió:
> Contrary to what adrian15 said, I (as a relevant developer) do not wish
> this bug to be closed.

I just wanted to point to your article:

http://www.chiark.greenend.org.uk/ucgi/~cjwatson/blosxom/debian/2010-08-28-windows-applications-making-grub2-unbootable.html

So that other people on the bug can help you with feedback.

Ubuntu fixing this bug is quite awesome, so... Good luck!

adrian15
--
Support free software. Donate to Super Grub Disk. Apoya el software
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/index.php?pid=10

Thomas Hotz (thotz) on 2012-10-03
Changed in grub (Baltix):
status: New → Invalid
Phillip Susi (psusi) wrote :

In order to move forward on this bug, we need to know 1) if this still happens when using grub2, and 2) We need a dump of the first 63 sectors both before and after booting into windows. You can run sudo dd if=/dev/sda count=63 of=dump to get that.

Changed in grub (Ubuntu):
status: Confirmed → Incomplete

Sorry, this bug report is 8 years old, I don't own any computer with Windows XP anymore. Feel free to close it.

Phillip Susi (psusi) on 2013-05-28
Changed in grub (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.